---
title: Table test
---
{% assign row = site.data.authors[0] %}
{{ row | inspect }}

<br><br>
{{ row["First name"] }}
{{ row["Last name"] }}

<br><br>
{% for pair in row %}
  <p>{{ pair | inspect }}</p>
{% endfor %}

<br><br>

<table>
    {% for row in site.data.authors %}
        {% if forloop.first %}
        <tr>
            {% for pair in row %}
                <th>{{ pair[0] }}</th>
            {% endfor %}
        </tr>
        {% endif %}

        {% tablerow pair in row %}
            {{ pair[1] }}
        {% endtablerow %}

    {% endfor %}
</table>